#
# spec file for package wv (Version 0.7.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake freetype2 freetype2-devel gettext libjpeg libpng-devel-packages libtiff libwmf libwmf-devel libxml2 libxml2-devel libz xf86 xpm
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib freetype2 freetype2-devel gcc gdbm gettext libjpeg libpng libpng-devel libtiff libtool libwmf libwmf-devel libxml2 libxml2-devel libz pam perl rpm xdevel xf86 xshared

Name:         wv
Obsoletes:    mswordvw
Provides:     mswordvw
License:      GPL, LGPL
Group:        Productivity/Publishing/Word
Autoreqprov:  on
Version:      0.7.1
Release:      155
Summary:      A Word 8 converter for Unix
URL:          http://www.wvWare.com/wvWare.html
Source:       http://www.csn.ul.ie/~caolan/publink/mswordview/wv-%{version}.tar.bz2
Patch:        wv-%{version}.dif
Patch2:       wv-%{version}-s390.patch
Patch3:       wv-%{version}-ia64.patch
Patch4:       wv-%{version}-wvText-tmpfile.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
WV is a program that can understand the microsofts word 8
binary file format (office97), it currently converts word into html,
which can then be read with a browser.

WV is being actively worked on, and will be pretty bleeding
edge for the next few weeks.

Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

%package devel
Requires:     wv
Requires:     libwmf-devel
Obsoletes:    mswordvd
Provides:     mswordvd
Summary:      Static Libraries and Header Files for mswordvw
Group:        Development/Libraries/C and C++
Autoreqprov:  on

%description devel
Only needed by developers

Authors:
--------
    Caolan McNamara <Caolan.McNamara@ul.ie>

%prep
%setup
%patch
%patch2
%patch3
%patch4

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake -a --foreign
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
     --prefix=/usr --mandir=%{_mandir} --with-libwmf \
     --libdir=%{_libdir} \
     --disable-dependency-tracking $RPM_ARCH-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}/man1 install
install -m 755 make_epses.sh $RPM_BUILD_ROOT/usr/bin
#
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -Rf examples feature-examples notes \
   $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
chmod 644 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/*/*
rm $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/examples/*.sh
install -m 644 CHANGELOG COPYING CREDITS D_CREDITS D_README README TESTING  \
           TODO.TXT KNOWN-BUGS $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
find $RPM_BUILD_ROOT%{_defaultdocdir}/%{name} -type d -exec chmod 755 {} \;  
rm -rf `find $RPM_BUILD_ROOT%{_defaultdocdir}/%{name} -type d -name CVS -print`  

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/make_epses.sh
/usr/bin/wvAbw
/usr/bin/wvCleanLatex
/usr/bin/wvConvert
/usr/bin/wvDVI
/usr/bin/wvHtml
/usr/bin/wvLatex
/usr/bin/wvMime
/usr/bin/wvPDF
/usr/bin/wvPS
/usr/bin/wvRTF
#/usr/bin/wvSimpleCLX
/usr/bin/wvSummary
/usr/bin/wvText
/usr/bin/wvVersion
/usr/bin/wvWare
/usr/bin/wvWml
/usr/share/wv
%{_libdir}/*.so.*
%doc %{_mandir}/*/*
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/CHANGELOG
%doc %{_defaultdocdir}/%{name}/COPYING
%doc %{_defaultdocdir}/%{name}/D_CREDITS
%doc %{_defaultdocdir}/%{name}/D_README
%doc %{_defaultdocdir}/%{name}/KNOWN-BUGS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/TESTING
%doc %{_defaultdocdir}/%{name}/TODO.TXT

%files devel
/usr/bin/libwv-config
%{_libdir}/*.la
%{_libdir}/*.so
%dir %{_defaultdocdir}/%{name}
%doc %{_defaultdocdir}/%{name}/examples
%doc %{_defaultdocdir}/%{name}/feature-examples
%doc %{_defaultdocdir}/%{name}/notes

%changelog -n wv
* Fri Jul 16 2004 - nadvornik@suse.cz
- fixed temp file handling in wvText [#38386]
* Fri Mar 08 2002 - nadvornik@suse.cz
- fixed permissions and removed CVS dirs in doc directory
* Thu Feb 07 2002 - nadvornik@suse.cz
- update to 0.7.1:
- built with shared library
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Nov 28 2001 - nadvornik@suse.cz
- update to 0.7.0:
- compiles with libwmf 0.2.2
* Thu Jun 28 2001 - nadvornik@suse.cz
- update to 0.6.5
- libwmf is now a separate package
* Wed Jun 13 2001 - nadvornik@suse.cz
- fixed to compile with new autoconf
* Fri May 18 2001 - nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon Apr 23 2001 - nadvornik@suse.cz
- fixed to compile on s390
* Mon Mar 12 2001 - nadvornik@suse.cz
- libwmf compiled with -fPIC, now it can be linked to
  ImageMagick module
* Thu Feb 08 2001 - nadvornik@suse.cz
- update wv to 0.6.4, libwmf to 0.1.21
- fixed bug #6165
* Wed Nov 22 2000 - nadvornik@suse.cz
- fixed docdir name
* Tue Nov 21 2000 - schwab@suse.de
- Fix permissions.
- Remove all CVS directories.
- Avoid double slashes.
* Fri Nov 10 2000 - nadvornik@suse.cz
- rename mswordvw -> wv
-        mswordvd -> wv-devel
- update wv to 0.6.2, libwmf to 0.1.20
* Wed Nov 08 2000 - ro@suse.de
- fixed neededforbuild for ImageMagick
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep 18 2000 - nadvornik@suse.cz
- added magickd to neededforbuild
- fixed to compile
* Mon Jun 19 2000 - nadvornik@suse.cz
- update to 0.5.44
* Mon Jun 05 2000 - nadvornik@suse.cz
- fixed to compile with ImageMagick-5.2.0
* Fri May 26 2000 - schwab@suse.de
- Update config files.
* Thu May 18 2000 - nadvornik@suse.cz
- used %%{_defaultdocdir}
* Tue May 02 2000 - nadvornik@suse.cz
- fixed to compile
* Thu Apr 20 2000 - nadvornik@suse.cz
- fixed filelist
- created development subpackage mswordvd
* Tue Apr 18 2000 - nadvornik@suse.cz
- update to 0.5.43, libwmf 0.1.17
- added Buildroot
* Mon Jan 31 2000 - kukuk@suse.de
- Update to 0.5.14-bw6
- Fix spec file
- Move /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - uli@suse.de
- added some missing files
* Fri May 21 1999 - kukuk@suse.de
- Update mswordview to 0.5.14
* Thu Apr 29 1999 - kukuk@suse.de
- first initial version of mswordview 0.5.10 with libwmf 0.1.9
